Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class InteractiveShellRunner

    java.lang.Object
      org.codehaus.groovy.tools.shell.ShellRunner
          org.codehaus.groovy.tools.shell.InteractiveShellRunner

All Implemented Interfaces:
  java.lang.Runnable

    class InteractiveShellRunner
    extends ShellRunner

Support for running a Shell interactively using the JLine library.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class ShellRunner
log

Property Summary
`CommandsMultiCompletor` | `completor`
`Closure` | `prompt`
`jline.ConsoleReader` | `reader`

Constructor Summary
`InteractiveShellRunner(Shell shell, Closure prompt)`

Method Summary
`protected java.lang.String` | `readLine()`
`void` | `run()`
`void` | `setHistory(jline.History history)`
`void` | `setHistoryFile(java.io.File file)`
`protected boolean` | `work()`

Methods inherited from class ShellRunner
readLine, run, work

Property Detail

### completor

    final CommandsMultiCompletor completor

### prompt

    final Closure prompt

### reader

    final jline.ConsoleReader reader

Constructor Detail

### InteractiveShellRunner

    InteractiveShellRunner(Shell shell, Closure prompt)

Method Detail

### readLine

    protected java.lang.String readLine()

### run

    void run()

### setHistory

    void setHistory(jline.History history)

### setHistoryFile

    void setHistoryFile(java.io.File file)

### work

    @Override
    protected boolean work()

Groovy Documentation